normalize {EBImage} | R Documentation

## Functions to normalize images

### Description

Functions to normalize images.

### Usage

      ## S4 method for signature 'Image':
      normalize(x, separate=TRUE, ft=c(0,1), ...)

      ## S4 methods for signature 'x=Image'
      negate(x, ...)
      normalize2(x, ...)

### Arguments

`x` | An object of `Image-class`.
`separate` | If `TRUE` normalizes each frame separately.
`ft` | A numeric vector of 2 values, target minimum and maximum intensity values after normalization for `Grayscale` images.
`...` | Reserved.

### Details

`negate` negates the colors in the reference image. Operates on all image modes.

`normalize` normalizes `Grayscale` images to the given range.

`normalize2` uses `ImageMagick` normalization routine to normalize `Grayscale` or `TrueColor` images.

### Value

A transformed image in an object of `Image`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### References

ImageMagick: http://www.imagemagick.org.

### See Also

`Image, channel`

### Examples

      ## see example(getFeatures)

[Package EBImage version 2.6.0 Index]